org.hibernate.search.annotations

## Enum Resolution

- java.lang.Object
- - java.lang.Enum<Resolution>
  - - org.hibernate.search.annotations.Resolution

- All Implemented Interfaces:
    Serializable, Comparable<Resolution>

      public enum Resolution
      extends Enum<Resolution>

  Date indexing resolution.
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY`
    `HOUR`
    `MILLISECOND`
    `MINUTE`
    `MONTH`
    `SECOND`
    `YEAR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Resolution` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Resolution[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YEAR

          public static final Resolution YEAR

    - #### MONTH

          public static final Resolution MONTH

    - #### DAY

          public static final Resolution DAY

    - #### HOUR

          public static final Resolution HOUR

    - #### MINUTE

          public static final Resolution MINUTE

    - #### SECOND

          public static final Resolution SECOND

    - #### MILLISECOND

          public static final Resolution MILLISECOND

  - ### Method Detail

    - #### values

          public static Resolution[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Resolution c : Resolution.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Resolution valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved